%{?scl:%scl_package fmpp}
%{!?scl:%global pkg_name %{name}}

Name:		%{?scl_prefix}fmpp
Version:	0.9.15
Release:	1%{?dist}
Summary:	FreeMarker-based text file PreProcessor
License:	BSD
URL:		http://fmpp.sourceforge.net
Source0:	https://github.com/freemarker/%{pkg_name}/archive/v%{version}.tar.gz

Patch0:		%{pkg_name}-%{version}-build.patch
# dependency not in fedora therefore it's simply removed
Patch1:		%{pkg_name}-%{version}-remove-imageinfo.patch

BuildRequires:	%{?scl_prefix_java_common}javapackages-local
BuildRequires:	%{?scl_prefix_java_common}ant
BuildRequires:	%{?scl_prefix_java_common}xml-commons-resolver
BuildRequires:	%{?scl_prefix_java_common}junit
BuildRequires:	%{?scl_prefix_java_common}ant-junit
BuildRequires:	%{?scl_prefix_maven}bsh
#HACK BuildRequires:	%{?scl_prefix}freemarker

Requires:	%{?scl_prefix_java_common}xml-commons-resolver
Requires:	%{?scl_prefix_maven}bsh
#HACK Requires:	%{?scl_prefix}freemarker
%{?scl:Requires: %scl_runtime}

BuildArch:	noarch

%description

FMPP is a general-purpose text file preprocessor tool that uses
FreeMarker templates. It is particularly designed for HTML
preprocessor, to generate complete (static) homepages: directory
structure that contains HTML-s, image files, etc. But of course it can
be used to generate source code or whatever text files. FMPP is
extendable with Java classes to pull data from any data sources
(database, etc.) and embed the data into the generated files.

%package javadoc
Summary:	Javadoc for %{name}
BuildArch:	noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1
%patch1 -p1

# HACK until freemarker updated I keep the original jar
# https://bugzilla.redhat.com/show_bug.cgi?id=1369503
mv lib/freemarker.jar lib/freemarker.jar.bak

find lib -name \*.jar -delete

%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
build-jar-repository lib bsh
build-jar-repository lib ant/ant
build-jar-repository lib xml-commons-resolver
build-jar-repository lib/test junit
build-jar-repository lib ant/ant-junit
%{?scl:EOF}

# HACK until freemarker updated I keep the original jar
# https://bugzilla.redhat.com/show_bug.cgi?id=1369503
mv lib/freemarker.jar.bak lib/freemarker.jar

# these three tests don't pass in copr for some reason
%{?scl:find . -name fm_ici*\* -and -type d | xargs rm -rf}

# strip carriage returns
find . -name \*.fmpp -or\
 -name package-list -or\
 -name \*.bsh -or\
 -name \*.txt -or\
 -name \*.xml -or\
 -name \*.c -or \
 -name \*.css -or \
 -name \*.csv -or \
 -name \*.dtd -or \
 -name \*.ent -or \
 -name \*.ftl -or \
 -name \*.html -or \
 -name \*.tdd| xargs sed -i 's/\r$//'

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
ant jar javadoc
%mvn_artifact net.sourceforge.%{pkg_name}:%{pkg_name}:%{version} lib/%{pkg_name}.jar
%{?scl:EOF}

%check
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
ant test
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_install -J build/docs
%{?scl:EOF}

%files -f .mfiles
%doc LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt README.txt

%changelog
* Mon Nov 28 2016 Tomas Repik <trepik@redhat.com> - 0.9.15-1
- scl conversion, version update

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Mat Booth <mat.booth@redhat.com> - 0.9.14-5
- Fix FTBFS rhbz#1239506

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 William Benton <willb@redhat.com> - 0.9.14-2
- changed BR to java-headless (BZ 1068077)

* Thu Jan 2 2014 William Benton <willb@redhat.com> - 0.9.14-1
- initial package

